stack = "{{ cloudstack.stack.name }}"
ssh_public_key = "{{ context }}/{{ cloudstack.plugins.ssh.config['keys']['public'] }}"
inventory_file = "{{ context }}/inventory.yml"

pm_api_url = "{{ cloudstack.plugins.proxmox_vms.config.api.url }}"
pm_user = "{{ cloudstack.plugins.proxmox_vms.config.api.user }}"
pm_password = "{{ cloudstack.plugins.proxmox_vms.config.api.password }}"
target_node = "{{ cloudstack.plugins.proxmox_vms.config.target_node }}"
clone = "{{ cloudstack.plugins.proxmox_vms.config.clone }}"
ssh_user = "{{ cloudstack.plugins.proxmox_vms.config.ssh_user }}"
user = "{{ cloudstack.plugins.proxmox_vms.config.user }}"
password = "{{ cloudstack.plugins.proxmox_vms.config.password }}"

master_count = "{{ cloudstack.plugins.proxmox_vms.config.master.count }}"
master_cores = "{{ cloudstack.plugins.proxmox_vms.config.master.cores }}"
master_sockets = "{{ cloudstack.plugins.proxmox_vms.config.master.sockets }}"
master_memory = "{{ cloudstack.plugins.proxmox_vms.config.master.memory }}"
master_disk = "{{ cloudstack.plugins.proxmox_vms.config.master.disk }}"
master_storage = "{{ cloudstack.plugins.proxmox_vms.config.master.storage }}"
master_network_model = "{{ cloudstack.plugins.proxmox_vms.config.master.network_model }}"
master_network_bridge = "{{ cloudstack.plugins.proxmox_vms.config.master.network_bridge }}"
master_ipconfig = {{ cloudstack.plugins.proxmox_vms.config.master.ipconfig | regex_replace("'", '"') }}

node_count = "{{ cloudstack.plugins.proxmox_vms.config.node.count }}"
node_cores = "{{ cloudstack.plugins.proxmox_vms.config.node.cores }}"
node_sockets = "{{ cloudstack.plugins.proxmox_vms.config.node.sockets }}"
node_memory = "{{ cloudstack.plugins.proxmox_vms.config.node.memory }}"
node_disk = "{{ cloudstack.plugins.proxmox_vms.config.node.disk }}"
node_storage = "{{ cloudstack.plugins.proxmox_vms.config.node.storage }}"
node_network_model = "{{ cloudstack.plugins.proxmox_vms.config.node.network_model }}"
node_network_bridge = "{{ cloudstack.plugins.proxmox_vms.config.node.network_bridge }}"
node_ipconfig = {{ cloudstack.plugins.proxmox_vms.config.node.ipconfig | regex_replace("'", '"') }}
